Computers
List Hardware Computers
/hardware/v1/computers
List hardware sync records for the organization's computers: installed Hub API, recorder and relay versions.
Requires a bearer access token for this API with the Organization.Computer.Read permission. See Authentication.
Parameters
Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).
Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).
The maximum number of items to return.
Returns the next page: the _metadata.continuationToken of the previous response.
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/computers" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Get Hardware Computer
/hardware/v1/computers/{computerId}
Get the hardware sync record (installed Hub API, recorder and relay versions) for one computer by id.
Requires a bearer access token for this API with the Organization.Computer.Read permission. See Authentication.
Parameters
The unique identifier for a computer
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X GET "https://connect.cambrionix.com/api/hardware/v1/computers/{computerId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"
Upsert Hardware Computer
/hardware/v1/computers/{computerId}
Create or replace Hardware computer details by id
Requires a bearer access token for this API with the Organization.Computer.Write permission. See Authentication.
Parameters
The unique identifier for a computer
Request body
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PUT "https://connect.cambrionix.com/api/hardware/v1/computers/{computerId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "details": { "api": { "version": { "host": "string", "recorder": "string", "relay": "string" } } } }'
Update Hardware Computer
/hardware/v1/computers/{computerId}
Update Hardware computer details by id
Requires a bearer access token for this API with the Organization.Computer.Write permission. See Authentication.
Parameters
The unique identifier for a computer
Request body
Responses
Metadata for paginated responses. This includes total count, limit, and continuation token.
Unauthorized
One of: 401
One of: "Unauthorized"
Forbidden: the token is valid but does not allow this request
Error
One of: 500
One of: "Unauthorized"
Try it
curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/computers/{computerId}" \ -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \ -H "Content-Type: application/json" \ -d '{ "details": { "api": { "version": { "host": "string", "recorder": "string", "relay": "string" } } } }'